MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028039Open CASCADE[OCCT] OCCT:Codingpublic2016-11-02 12:442016-12-09 16:39
Reporterkgv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028039: Coding rules, TObj - pass file name by reference
DescriptionIt is common practice to pass TCollection_AsciiString/TCollection_ExtendedString by reference, however the following methods pass string by copy:

- TObj_Application::SaveDocument()
- TObj_Application::LoadDocument()
- TObj_Model::SaveAs()
- TObj_Model::Load ()

which is inconsistent and sub-optimal.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025534closedbugmaster Community TObj_Application unicode path issue. 

-  Notes
(0059768)
git (administrator)
2016-11-02 12:50

Branch CR28039 has been created by kgv.

SHA-1: c34c49593b892f42315f5fe0d74ed2fd59d94b18


Detailed log of new commits:

Author: kgv
Date: Wed Nov 2 12:50:02 2016 +0300

    0028039: Coding rules, TObj - pass file name by reference
(0059769)
kgv (developer)
2016-11-02 12:50

Please check building, regression testing is not needed.
(0059888)
git (administrator)
2016-11-03 18:56

Branch CR28039 has been updated forcibly by apv.

SHA-1: 9f9b54021e87eb16aad85b238809c67f419a7f4c
(0059889)
apv (tester)
2016-11-03 18:56

Branch CR28039 has been rebased on the current master
(0059919)
apv (tester)
2016-11-07 12:50

Dear BugMaster,

Branch CR28039 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: 9f9b54021e87eb16aad85b238809c67f419a7f4c

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1139
(0061263)
git (administrator)
2016-12-07 11:30

Branch CR28039 has been deleted by kgv.

SHA-1: 9f9b54021e87eb16aad85b238809c67f419a7f4c

- Related Changesets
occt: master be70005c
Timestamp: 2016-11-02 09:50:02
Author: kgv
Committer: apn
Details ] Diff ]
0028039: Coding rules, TObj - pass file name by reference
mod - src/TObj/TObj_Application.cxx Diff ] File ]
mod - src/TObj/TObj_Application.hxx Diff ] File ]
mod - src/TObj/TObj_Model.cxx Diff ] File ]
mod - src/TObj/TObj_Model.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-02 12:44 kgv New Issue
2016-11-02 12:44 kgv Assigned To => kgv
2016-11-02 12:44 kgv Relationship added related to 0025534
2016-11-02 12:44 kgv Relationship replaced child of 0025534
2016-11-02 12:50 git Note Added: 0059768
2016-11-02 12:50 kgv Note Added: 0059769
2016-11-02 12:50 kgv Assigned To kgv => bugmaster
2016-11-02 12:50 kgv Severity minor => trivial
2016-11-02 12:50 kgv Status new => resolved
2016-11-02 12:51 kgv Status resolved => reviewed
2016-11-03 17:10 apv Assigned To bugmaster => apv
2016-11-03 18:56 git Note Added: 0059888
2016-11-03 18:56 apv Note Added: 0059889
2016-11-07 12:50 apv Note Added: 0059919
2016-11-07 12:50 apv Assigned To apv => bugmaster
2016-11-07 12:50 apv Status reviewed => tested
2016-11-07 12:51 apv Test case number => Not needed
2016-11-09 17:43 apn Changeset attached => occt master be70005c
2016-11-09 17:43 apn Assigned To bugmaster => apn
2016-11-09 17:43 apn Status tested => verified
2016-11-09 17:43 apn Resolution open => fixed
2016-12-07 11:30 git Note Added: 0061263
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker